package com.engine.salary.annotation;

import java.lang.annotation.*;

/**
 * 数据列表表头
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface SalaryTableColumn {

    String text() default "";

    int labelId() default -1;

    String width() default "";

    String column() default "";

    boolean display() default true;

    String orderkey() default "";

    String transmethod() default "";

    // 额外参数
    String otherPara() default "";
}
